<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Cписок членов класса</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SpeechToText Cписок членов класса</div>  </div>
</div><!--header-->
<div class="contents">

<p>Полный список членов класса <a class="el" href="classSpeechToText.html">SpeechToText</a>, включая наследуемые из базового класса</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a7aec6cb4873f91240accce2d91fe7cb8">changeRecording</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#a24ec688737a6330b6ebe536a7ac511ef">connectShortcuts</a>(int j)</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a2204efd8d13a01cec7be8851b1ccfa2f">container</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#a38620f08fd7b791a8c11981078a50f08">displayErrorMessage</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#ad3719dff2f8874a8e488bb0e688483a0">errorText</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#a7aec13c63bc8b76ab8f246ce5558042b">evecuteAction</a>(QString action)</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a90c1801d5f5f85e521597f76f8446774">evenClick</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#a31c4540c2bcc711058c537dde38cd939">getErrorText</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a051603b94d7d28c38c2724dd53ec8c44">getEvenClick</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#af84e76fd3b6d25aa78bced149534ddb1">getGlobalShortcut</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a3ae748e2dd51de6647efbe473ead89ad">getRezult</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#abe8dd0a977665149460edf79f5b73f07">getRunning</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#a9a7be580e62423d4e65d46129068be6f">isInternetAccess</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a707593f61b4d2bdee03f93cb3869ba46">isRunning</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#ab5d3987757b5d47adf1ff3698ce98ce2">isWin</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#ad1dd99f1ef3c7d132ae790f64df97394">m_manager</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a97fbacf2d3372f45cf660fdb54179969">onResponse</a>(QNetworkReply *reply)</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#ab7d53c8bd732b919b1f656bba671a177">onSend</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a7ba9651888188291d71f9825e48ddf85">pathAudioFile</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#ac9450c0516f614c94bedceed8c4f9c1c">processGlobalShortcut</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a027a769027e8ec106c104bd28c558d3d">pshortcutAppActivation</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a94bbabf92223dc66efb0fd3193beac22">recordError</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#af8634298d973c78749e829a7baa73385">rezultShortcut</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#ad2f186985edf1a2b9b2937ec9e4417db">rezultText</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#a6e1f04d25cb6f41d641fe33a27677fbf">secondClick</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a5055d9f2e676cde9ea05af004ad1a8d8">sendTexttoMainClass</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#af2028342adc6bb316ddb74efc2e28913">setGlobalShortcuts</a>(QStringList list)</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a1a7d44b123206bc930d42a7728182c5d">setRunning</a>(bool flag)</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#a558c2eeb8807794c1e5d0d5625081568">setShortcutAppActivation</a>(QString shortcut)</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#a4291fb3df9288ad11b3e4ec6143422da">shortcutsCount</a></td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a6f1e0eeb5ffc8c69c3812731101f899b">showApp</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#a7dcc82fb7a806f18e85b5fb25dfd51b6">SpeechToText</a>(QString shortcutAppActivation)</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSpeechToText.html#a2ace36d39102b3737b5683e8fa1f4ef1">toggleRecord</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSpeechToText.html#ad2107b90fc1fbd1390ea8bdb673f2c62">~SpeechToText</a>()</td><td class="entry"><a class="el" href="classSpeechToText.html">SpeechToText</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
